#!/bin/bash

[ $# -ne 1 ] && echo "$0 {command}" && exit 1


# 二重起動チェック
SHELLNAME=${0##*/}  # 最後の/より後ろを取り出す
SHELLBASE=${SHELLNAME%\.*}
SHELLEXT=${SHELLNAME##*\.}
test "${SHELLBASE}" != "${SHELLEXT}" && SHELLEXT=".${SHELLEXT}"
PROCESSNUM=$(ps aux|grep -v "sh -c "|grep "${SHELLBASE}"|grep "${SHELLEXT}"|wc -l)
if test ${PROCESSNUM} -ge 3; then
echo "${SHELLNAME} now running."
exit
fi


send_cmd()
{
line=${1}
str="\\x61"
while test -n "${line}"
do
byte=${line:0:2}
len=${#byte}
if test ${len} -lt 2; then
echo "Error: Illegal argument." 
exit 1
fi
line=${line:2}
str="${str}\\x${byte}"
done
printf "${str}">${DEV}
}



DEV=/dev/BtoUsbIrRemocon


send_cmd "${1}"
